Keys
Retrieve a specific key
Retrieves a specific key by its id.
GET
/
v1
/
config
/
keys
/
{id}
Retrieve a specific key
curl --request GET \
--url https://api.mezmo.com/v1/config/keys/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.mezmo.com/v1/config/keys/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.mezmo.com/v1/config/keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "629e3f7e62295be60488fb26",
"key": "7b273eb8adc962f2711ad760730debb0",
"name": "servergroup_0_ingestion",
"type": "ingestion",
"created": 1654538253244
}{
"error": "Key with id 629eb5369e5b231f51d3830f was not found",
"code": "NotFound",
"status": "error"
}Authorizations
The primary authentication method for the Mezmo API.
Pass the key in the Authorization header in the format Token <ACCESS TOKEN>.
For example:
curl -H 'Authorization: Token <ACCESS TOKEN>'
This key is used for all APIs with the exception of ingest.
Path Parameters
The id of the key to retrieve The ID of the key
Example:
"629e3f7e62295be60488fb26"
Response
The key with the supplied id was found, the entire resource is returned.
The ID of the key
Example:
"629e3f7e62295be60488fb26"
A secret key which can be used to authenticate requests to Mezmo.
Example:
"7b273eb8adc962f2711ad760730debb0"
A user friendly name for the key
Maximum string length:
30Example:
"servergroup_0_ingestion"
The type of the key
Available options:
ingestion, service Example:
"ingestion"
The time the key was created as a Unix timestamp in milliseconds
Example:
1654538253244
Was this page helpful?
Retrieve a specific key

